import { Disposable, IDisposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { URI, UriComponents } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { IProductService } from "@codingame/monaco-vscode-api/vscode/vs/platform/product/common/productService.service";
import { IOpenURLOptions, IURLHandler } from "@codingame/monaco-vscode-api/vscode/vs/platform/url/common/url";
import { IURLService } from "@codingame/monaco-vscode-api/vscode/vs/platform/url/common/url.service";
export declare abstract class AbstractURLService extends Disposable implements IURLService {
    readonly _serviceBrand: undefined;
    private handlers;
    abstract create(options?: Partial<UriComponents>): URI;
    open(uri: URI, options?: IOpenURLOptions): Promise<boolean>;
    registerHandler(handler: IURLHandler): IDisposable;
}
export declare class NativeURLService extends AbstractURLService {
    protected readonly productService: IProductService;
    constructor(productService: IProductService);
    create(options?: Partial<UriComponents>): URI;
}
