
import { __decorate, __param } from '@codingame/monaco-vscode-api/external/tslib/tslib.es6';
import { WebWorkerDescriptor } from '@codingame/monaco-vscode-api/vscode/vs/base/browser/webWorkerFactory';
import { FileAccess } from '@codingame/monaco-vscode-api/vscode/vs/base/common/network';
import { EditorWorkerService } from '@codingame/monaco-vscode-api/vscode/vs/editor/browser/services/editorWorkerService';
import { ILanguageConfigurationService } from '@codingame/monaco-vscode-api/vscode/vs/editor/common/languages/languageConfigurationRegistry.service';
import { ILanguageFeaturesService } from '@codingame/monaco-vscode-api/vscode/vs/editor/common/services/languageFeatures.service';
import { IModelService } from '@codingame/monaco-vscode-api/vscode/vs/editor/common/services/model.service';
import { ITextResourceConfigurationService } from '@codingame/monaco-vscode-api/vscode/vs/editor/common/services/textResourceConfiguration.service';
import { ILogService } from '@codingame/monaco-vscode-api/vscode/vs/platform/log/common/log.service';

let WorkbenchEditorWorkerService = class WorkbenchEditorWorkerService extends EditorWorkerService {
    constructor(modelService, configurationService, logService, languageConfigurationService, languageFeaturesService) {
        const workerDescriptor = ( new WebWorkerDescriptor(( FileAccess.asBrowserUri('vs/editor/common/services/editorWebWorkerMain.js')), 'TextEditorWorker'));
        super(workerDescriptor, modelService, configurationService, logService, languageConfigurationService, languageFeaturesService);
    }
};
WorkbenchEditorWorkerService = ( __decorate([
    ( __param(0, IModelService)),
    ( __param(1, ITextResourceConfigurationService)),
    ( __param(2, ILogService)),
    ( __param(3, ILanguageConfigurationService)),
    ( __param(4, ILanguageFeaturesService))
], WorkbenchEditorWorkerService));

export { WorkbenchEditorWorkerService };
