import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { ITextFileService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/textfile/common/textfiles.service";
import { IFileService } from "@codingame/monaco-vscode-api/vscode/vs/platform/files/common/files.service";
import { ITextModelService } from "@codingame/monaco-vscode-api/vscode/vs/editor/common/services/resolverService.service";
import { IJSONValue } from "@codingame/monaco-vscode-d987325e-3e05-53aa-b9ff-6f97476f64db-common/vscode/vs/workbench/services/configuration/common/jsonEditing";
import { IJSONEditingService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/configuration/common/jsonEditing.service";
import { IFilesConfigurationService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/filesConfiguration/common/filesConfigurationService.service";
export declare class JSONEditingService implements IJSONEditingService {
    private readonly fileService;
    private readonly textModelResolverService;
    private readonly textFileService;
    private readonly filesConfigurationService;
    _serviceBrand: undefined;
    private queue;
    constructor(fileService: IFileService, textModelResolverService: ITextModelService, textFileService: ITextFileService, filesConfigurationService: IFilesConfigurationService);
    write(resource: URI, values: IJSONValue[]): Promise<void>;
    private doWriteConfiguration;
    private writeToBuffer;
    private applyEditsToBuffer;
    private getEdits;
    private resolveModelReference;
    private hasParseErrors;
    private resolveAndValidate;
    private reject;
    private toErrorMessage;
}
