import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { Event } from "@codingame/monaco-vscode-api/vscode/vs/base/common/event";
import { IDecoration, IResourceDecorationChangeEvent, IDecorationsProvider } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/decorations/common/decorations";
import { IDecorationsService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/decorations/common/decorations.service";
import { IDisposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IThemeService } from "@codingame/monaco-vscode-api/vscode/vs/platform/theme/common/themeService.service";
import { IUriIdentityService } from "@codingame/monaco-vscode-api/vscode/vs/platform/uriIdentity/common/uriIdentity.service";
export declare class DecorationsService implements IDecorationsService {
    _serviceBrand: undefined;
    private readonly _store;
    private readonly _onDidChangeDecorationsDelayed;
    private readonly _onDidChangeDecorations;
    onDidChangeDecorations: Event<IResourceDecorationChangeEvent>;
    private readonly _provider;
    private readonly _decorationStyles;
    private readonly _data;
    constructor(uriIdentityService: IUriIdentityService, themeService: IThemeService);
    dispose(): void;
    registerDecorationsProvider(provider: IDecorationsProvider): IDisposable;
    private _ensureEntry;
    getDecoration(uri: URI, includeChildren: boolean): IDecoration | undefined;
    private _fetchData;
    private _keepItem;
}
