import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { IDisposable, Disposable } from "@codingame/monaco-vscode-api/vscode/vs/base/common/lifecycle";
import { IWorkbenchEnvironmentService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/environment/common/environmentService.service";
import { IWorkspace, ISingleFolderWorkspaceIdentifier, IWorkspaceIdentifier } from "@codingame/monaco-vscode-api/vscode/vs/platform/workspace/common/workspace";
import { IWorkspaceContextService } from "@codingame/monaco-vscode-api/vscode/vs/platform/workspace/common/workspace.service";
import { ResourceLabelFormatter, ResourceLabelFormatting, IFormatterChangeEvent, Verbosity } from "@codingame/monaco-vscode-158b9837-fc78-5d9c-86f5-9134e4358643-common/vscode/vs/platform/label/common/label";
import { ILabelService } from "@codingame/monaco-vscode-api/vscode/vs/platform/label/common/label.service";
import { ILifecycleService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/lifecycle/common/lifecycle.service";
import { IPathService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/path/common/pathService.service";
import { IRemoteAgentService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/remote/common/remoteAgentService.service";
import { IStorageService } from "@codingame/monaco-vscode-api/vscode/vs/platform/storage/common/storage.service";
export declare class LabelService extends Disposable implements ILabelService {
    private readonly environmentService;
    private readonly contextService;
    private readonly pathService;
    private readonly remoteAgentService;
    readonly _serviceBrand: undefined;
    private formatters;
    private readonly _onDidChangeFormatters;
    readonly onDidChangeFormatters: import("@codingame/monaco-vscode-api/vscode/vs/base/common/event").Event<IFormatterChangeEvent>;
    private readonly storedFormattersMemento;
    private readonly storedFormatters;
    private os;
    private userHome;
    constructor(environmentService: IWorkbenchEnvironmentService, contextService: IWorkspaceContextService, pathService: IPathService, remoteAgentService: IRemoteAgentService, storageService: IStorageService, lifecycleService: ILifecycleService);
    private resolveRemoteEnvironment;
    findFormatting(resource: URI): ResourceLabelFormatting | undefined;
    getUriLabel(resource: URI, options?: {
        relative?: boolean;
        noPrefix?: boolean;
        separator?: "/" | "\\";
        appendWorkspaceSuffix?: boolean;
    }): string;
    private doGetUriLabel;
    getUriBasenameLabel(resource: URI): string;
    getWorkspaceLabel(workspace: IWorkspace | IWorkspaceIdentifier | ISingleFolderWorkspaceIdentifier | URI, options?: {
        verbose: Verbosity;
    }): string;
    private doGetWorkspaceLabel;
    private doGetSingleFolderWorkspaceLabel;
    getSeparator(scheme: string, authority?: string): "/" | "\\";
    getHostLabel(scheme: string, authority?: string): string;
    getHostTooltip(scheme: string, authority?: string): string | undefined;
    registerCachedFormatter(formatter: ResourceLabelFormatter): IDisposable;
    registerFormatter(formatter: ResourceLabelFormatter): IDisposable;
    private formatUri;
    private appendWorkspaceSuffix;
}
