
import '@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/extensions';
import '@codingame/monaco-vscode-api/vscode/vs/platform/instantiation/common/instantiation';
import { AbstractPathService } from '../common/pathService.js';
import { URI } from '@codingame/monaco-vscode-api/vscode/vs/base/common/uri';
import { dirname } from '@codingame/monaco-vscode-api/vscode/vs/base/common/resources';

function guessLocalUserHome(environmentService, contextService) {
    const workspace = contextService.getWorkspace();
    const firstFolder = workspace.folders.at(0);
    if (firstFolder) {
        return firstFolder.uri;
    }
    if (workspace.configuration) {
        return dirname(workspace.configuration);
    }
    return ( URI.from({
        scheme: AbstractPathService.findDefaultUriScheme(environmentService, contextService),
        authority: environmentService.remoteAuthority,
        path: '/'
    }));
}

export { guessLocalUserHome };
