import { IPath } from "@codingame/monaco-vscode-api/vscode/vs/base/common/path";
import { OperatingSystem } from "@codingame/monaco-vscode-api/vscode/vs/base/common/platform";
import { URI } from "@codingame/monaco-vscode-api/vscode/vs/base/common/uri";
import { IWorkspaceContextService } from "@codingame/monaco-vscode-api/vscode/vs/platform/workspace/common/workspace.service";
import { IWorkbenchEnvironmentService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/environment/common/environmentService.service";
import { IRemoteAgentService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/remote/common/remoteAgentService.service";
import { IPathService } from "@codingame/monaco-vscode-api/vscode/vs/workbench/services/path/common/pathService.service";
export declare abstract class AbstractPathService implements IPathService {
    private localUserHome;
    private readonly remoteAgentService;
    private readonly environmentService;
    private contextService;
    readonly _serviceBrand: undefined;
    private resolveOS;
    private resolveUserHome;
    private maybeUnresolvedUserHome;
    constructor(localUserHome: URI, remoteAgentService: IRemoteAgentService, environmentService: IWorkbenchEnvironmentService, contextService: IWorkspaceContextService);
    hasValidBasename(resource: URI, basename?: string): Promise<boolean>;
    hasValidBasename(resource: URI, os: OperatingSystem, basename?: string): boolean;
    private doHasValidBasename;
    get defaultUriScheme(): string;
    static findDefaultUriScheme(environmentService: IWorkbenchEnvironmentService, contextService: IWorkspaceContextService): string;
    userHome(options?: {
        preferLocal: boolean;
    }): Promise<URI>;
    userHome(options: {
        preferLocal: true;
    }): URI;
    get resolvedUserHome(): URI | undefined;
    get path(): Promise<IPath>;
    fileURI(_path: string): Promise<URI>;
}
